/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.jsp.spec.core_syntax.directives.page;

import com.sun.ts.tests.jsp.common.util.JspTestUtil;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.SimpleTagSupport;
import java.io.IOException;

public class DeferredSyntaxActionTag extends SimpleTagSupport {

    private String literal;

    public void setLiteral(String literal) {
        this.literal = literal;
    }

    public void doTag() throws JspException, IOException {
        JspWriter out = getJspContext().getOut();
        try {
            out.println(literal);
        } catch (Throwable t) {
            JspTestUtil.handleThrowable(t, out, "DeferredSyntaxActionTag");
        }
    }
}
